Subject: Re: bug#13583: 24.3.50; Error when activating auto-revert-mode

From: Eli Zaretskii <[email-masked]>
Date: Tue, 29 Jan 2013 14:08:21 +0200

> Date: Tue, 29 Jan 2013 12:34:40 +0100
> From: Dani Moncayo <[email-masked]>
> Cc: [email-masked]
> 
> I try to avoid the customize facility as much as I can, because it
> doesn't allow to set values based on conditions like the system-type,
> for example.

Doesn't custom-set-variables work inside an "if" clause?  If it does,
then what's the problem of using it only on some systems?

> Therefore, I'd like to be able to set `auto-revert-use-notify'
> directly in my init file, with `setq', but if that is not possible, I
> will have to adapt myself.

You can run the :set form of the option, with suitable substitutions
for "variable" and "value", instead of setting the value with setq.
But then you'd need to change that every time the :set form changes in
autorevert.el.